%define beta b4

Summary:	Overclocking tool for NVIDIA graphic boards
Name:		nvclock
Version:	0.8
Release:	%mkrel 0.%{beta}.8
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.linuxhardware.org/nvclock/
Source:		http://www.linuxhardware.org/nvclock/%{name}%{version}%{beta}.tar.bz2
Patch0:		%{name}0.8b4-makefile.patch
BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
Obsoletes:	%{name}-gtk < 0.8-0.b4.1
Obsoletes:	%{name}-qt3 < 0.8-0.b4.1
Provides:	%{name}-gtk
Provides:	%{name}-qt3

%description
This program allows you to overclock your nvidia card under linux.

%prep
%setup -q -n %{name}%{version}%{beta}
%patch0 -p1

%build
%configure2_5x \
	--enable-gtk \
	--disable-qt \
	--enable-nvcontrol

%make -j1

%install
%makeinstall_std

desktop-file-install \
	--add-category="HardwareSettings" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

sed -i -e 's/^Icon=%{name}.png$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

%files
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/*


%changelog

* Wed Jan 23 2013 fwang <fwang> 0.8-0.b4.8.mga3
+ Revision: 391303
- update rpm group
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.8-0.b4.7.mga3
+ Revision: 361084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 zezinho <zezinho> 0.8-0.b4.6.mga3
+ Revision: 320022
- rebuild

* Mon Oct 17 2011 zezinho <zezinho> 0.8-0.b4.5.mga2
+ Revision: 155667
- cleanup specfile
- imported package nvclock

